diff -aur --exclude='*.beam' --exclude=configure --exclude=Makefile otp_src_P9C_2003-07-23/erts/configure.in otp_src_P9C_2003-07-23.fixed/erts/configure.in
--- otp_src_P9C_2003-07-23/erts/configure.in	2003-07-10 17:52:05.000000000 +0200
+++ otp_src_P9C_2003-07-23.fixed/erts/configure.in	2003-07-25 07:35:20.000000000 +0200
@@ -1196,6 +1196,43 @@
     CRYPTO_APP=crypto
 fi
 
+if test "x$SSL_INCLUDE" != "x" ; then
+    dnl We found openssl, now check if we use kerberos 5 support
+    AC_MSG_CHECKING(for OpenSSL kerberos 5 support)
+    old_CPPFLAGS=$CPPFLAGS
+    CPPFLAGS=$SSL_INCLUDE
+    AC_EGREP_CPP(yes,[
+#include <openssl/opensslconf.h>
+#ifndef OPENSSL_NO_KRB5
+  yes
+#endif
+      ],[
+      AC_MSG_RESULT([yes])
+      ssl_krb5_enabled=yes
+      ],[
+      AC_MSG_RESULT([no])
+      ssl_krb5_enabled=no
+      ])
+    CPPFLAGS=$old_CPPFLAGS
+    SSL_KRB5_INCLUDE=
+    if test "x$ssl_krb5_enabled" = "xyes" ; then
+        AC_MSG_CHECKING(for krb5.h in standard locations)
+	for dir in $extra_dir $SSL_ROOT/include $SSL_ROOT/include/openssl $SSL_ROOT/include/kerberos \
+		       /cygdrive/c/kerberos/include /usr/local/kerberos/include /usr/kerberos/include
+            do
+            if test -f "$dir/krb5.h" ; then
+               SSL_KRB5_INCLUDE="$dir"
+               break
+            fi
+            done
+        if test "x$SSL_KRB5_INCLUDE" = "x" ; then
+	    AC_MSG_ERROR([OpenSSL is configured for kerberos but no krb5.h found])
+        else
+            AC_MSG_RESULT([found in $SSL_KRB5_INCLUDE])
+            SSL_INCLUDE="$SSL_INCLUDE -I$SSL_KRB5_INCLUDE"
+        fi
+    fi
+fi
 
 #--------------------------------------------------------------------
 # Os mon stuff.
